Subject: Re: [BUG] commit a9b3cd7f32 is a mess

From: "Paul E. McKenney" <[email-masked]>
Date: Thu, 12 Jan 2012 09:12:01 -0800

On Thu, Jan 12, 2012 at 02:56:43PM +0100, Eric Dumazet wrote:
> commit a9b3cd7f32 (rcu: convert uses of rcu_assign_pointer(x, NULL) to
> RCU_INIT_POINTER) is complete garbage.
> 
> Real content of this commit doesnt reflect Changelog claim.
> 
> I found this while trying to understand a 3.2 regression in IGMP code.
> 
> 	iml->sfmode = MCAST_EXCLUDE;
> -	rcu_assign_pointer(inet->mc_list, iml);
> +	RCU_INIT_POINTER(inet->mc_list, iml);
> 
> Obviously iml is not NULL here.
> 
> Please Paul dont Ack a patch only reading the Changelog.

Sigh.  That will teach me to trust coccinelle.  :-(

> I'll make a patch to revert all non NULL uses.

Please accept my apologies.  I will avoid trusting coccinelle quite so
much in the future, and thank you for fixing this up.

							Thanx, Paul